### Method

# Fwupd Device get_issues

since: 1.7.6

#### Declaration [src]

    GPtrArray*
    fwupd_device_get_issues (
      FwupdDevice* self
    )

#### Description [src]

Gets the list of issues currently affecting this device.

Available since: 1.7.6

#### Return value

Type: An array of `utf8`

The issues, which may be empty.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.